<template>
  <section
    class="relative bg-white pt-2 py-6 space-y-4 mb-5 md:rounded-lg md:p-4 shadow-1"
  >
    <div
      class="flex items-center font-bold text-lg text-pearl uppercase italic pl-5 py-2 relative text-shadow-1"
    >
      <svg-icon
        class="absolute left-0 top-0"
        style="width: 60px; height: 40px"
        name="icon-title"
      />
      <span class="mr-10px leading-120">Fan Cứng</span>
      <svg-icon
        name="icon-notification-info"
        class="w-4 h-4"
        style="margin-top: -5px;"
      ></svg-icon>
    </div>
    <div class="space-y-3">
      <div class="flex items-center space-x-3">
        <div class="avatar-image">
          <a href="#" class="inline-block align-top">
            <div style="background: url('/users/avatar-1.jpg')"></div>
          </a>
        </div>
        <div class="flex-1">
          <div class="font-semibold text-pearl text-lg leading-160 mb-1">
            <a href="#">
              Phan Tuấn Anh
            </a>
          </div>
          <div class="font-medium flex items-center space-x-1">
            <svg-icon name="icon-crown" class="h-4 w-4"></svg-icon>
            <span class="text-blue text-14px leading-none">
              62 Bình luận
            </span>
          </div>
        </div>
      </div>
      <div class="flex items-center space-x-3">
        <div class="avatar-image">
          <a href="#" class="inline-block align-top">
            <div style="background: url('/users/avatar-2.jpg')"></div>
          </a>
        </div>
        <div class="flex-1">
          <div class="font-semibold text-pearl text-lg leading-160 mb-1">
            <a href="#">
              Phan Tuấn Anh
            </a>
          </div>
          <div class="font-medium flex items-center space-x-1">
            <svg-icon name="icon-crown" class="h-4 w-4"></svg-icon>
            <span class="text-blue text-14px leading-none">
              62 Bình luận
            </span>
          </div>
        </div>
      </div>
      <div class="flex items-center space-x-3">
        <div class="avatar-image">
          <a href="#" class="inline-block align-top">
            <div style="background: url('/users/avatar-3.jpg')"></div>
          </a>
        </div>
        <div class="flex-1">
          <div class="font-semibold text-pearl text-lg leading-160 mb-1">
            <a href="#">
              Phan Tuấn Anh
            </a>
          </div>
          <div class="font-medium flex items-center space-x-1">
            <svg-icon name="icon-crown" class="h-4 w-4"></svg-icon>
            <span class="text-blue text-14px leading-none">
              62 Bình luận
            </span>
          </div>
        </div>
      </div>
      <div class="flex items-center space-x-3">
        <div class="avatar-image">
          <a href="#" class="inline-block align-top">
            <div style="background: url('/users/avatar-1.jpg')"></div>
          </a>
        </div>
        <div class="flex-1">
          <div class="font-semibold text-pearl text-lg leading-160 mb-1">
            <a href="#">
              Phan Tuấn Anh
            </a>
          </div>
          <div class="font-medium flex items-center space-x-1">
            <svg-icon name="icon-crown" class="h-4 w-4"></svg-icon>
            <span class="text-blue text-14px leading-none">
              62 Bình luận
            </span>
          </div>
        </div>
      </div>
      <div class="flex items-center space-x-3">
        <div class="avatar-image">
          <a href="#" class="inline-block align-top">
            <div style="background: url('/users/avatar-1.jpg')"></div>
          </a>
        </div>
        <div class="flex-1">
          <div class="font-semibold text-pearl text-lg leading-160 mb-1">
            <a href="#">
              Phan Tuấn Anh
            </a>
          </div>
          <div class="font-medium flex items-center space-x-1">
            <svg-icon name="icon-crown" class="h-4 w-4"></svg-icon>
            <span class="text-blue text-14px leading-none">
              62 Bình luận
            </span>
          </div>
        </div>
      </div>
    </div>
  </section>
</template>

<script>
export default {
  name: 'TopFan'
}
</script>

<style lang="scss">
.avatar-image {
  margin-left: -10px;
}
.avatar-image a div {
  width: 70px;
  height: 70px;
  background-size: cover !important;
  -webkit-clip-path: polygon(
    47.5% 10.66987%,
    48.2899% 10.30154%,
    49.13176% 10.07596%,
    50% 10%,
    50.86824% 10.07596%,
    51.7101% 10.30154%,
    52.5% 10.66987%,
    82.81089% 28.16987%,
    83.52483% 28.66978%,
    84.14111% 29.28606%,
    84.64102% 30%,
    85.00935% 30.7899%,
    85.23493% 31.63176%,
    85.31089% 32.5%,
    85.31089% 67.5%,
    85.23493% 68.36824%,
    85.00935% 69.2101%,
    84.64102% 70%,
    84.14111% 70.71394%,
    83.52483% 71.33022%,
    82.81089% 71.83013%,
    52.5% 89.33013%,
    51.7101% 89.69846%,
    50.86824% 89.92404%,
    50% 90%,
    49.13176% 89.92404%,
    48.2899% 89.69846%,
    47.5% 89.33013%,
    17.18911% 71.83013%,
    16.47517% 71.33022%,
    15.85889% 70.71394%,
    15.35898% 70%,
    14.99065% 69.2101%,
    14.76507% 68.36824%,
    14.68911% 67.5%,
    14.68911% 32.5%,
    14.76507% 31.63176%,
    14.99065% 30.7899%,
    15.35898% 30%,
    15.85889% 29.28606%,
    16.47517% 28.66978%,
    17.18911% 28.16987%
  );
  clip-path: polygon(
    47.5% 10.66987%,
    48.2899% 10.30154%,
    49.13176% 10.07596%,
    50% 10%,
    50.86824% 10.07596%,
    51.7101% 10.30154%,
    52.5% 10.66987%,
    82.81089% 28.16987%,
    83.52483% 28.66978%,
    84.14111% 29.28606%,
    84.64102% 30%,
    85.00935% 30.7899%,
    85.23493% 31.63176%,
    85.31089% 32.5%,
    85.31089% 67.5%,
    85.23493% 68.36824%,
    85.00935% 69.2101%,
    84.64102% 70%,
    84.14111% 70.71394%,
    83.52483% 71.33022%,
    82.81089% 71.83013%,
    52.5% 89.33013%,
    51.7101% 89.69846%,
    50.86824% 89.92404%,
    50% 90%,
    49.13176% 89.92404%,
    48.2899% 89.69846%,
    47.5% 89.33013%,
    17.18911% 71.83013%,
    16.47517% 71.33022%,
    15.85889% 70.71394%,
    15.35898% 70%,
    14.99065% 69.2101%,
    14.76507% 68.36824%,
    14.68911% 67.5%,
    14.68911% 32.5%,
    14.76507% 31.63176%,
    14.99065% 30.7899%,
    15.35898% 30%,
    15.85889% 29.28606%,
    16.47517% 28.66978%,
    17.18911% 28.16987%
  );
}
</style>
